Skip to main content
GET
/
authorisations
Returns all authorisation records for a user.
curl --request GET \
  --url https://api.sandbox.goteal.co/authorisations \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.sandbox.goteal.co/authorisations"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.sandbox.goteal.co/authorisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pagination": {
    "offset": 75,
    "limit": 25,
    "count": 14,
    "total_count": 89
  },
  "authorisations": [
    {
      "id": "7f3b8c2a-1d4e-4f6a-8b8c-9a0b1c2d3e4f",
      "status": "active",
      "ip_address": "192.168.1.1",
      "is_valid": true,
      "accepted_at": "2019-05-17T00:00:00.000Z",
      "created_at": "2019-05-17T00:00:00.000Z",
      "user_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
      "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36",
      "revoked_at": "2019-05-17T00:00:00.000Z",
      "expires_at": "2019-05-17T00:00:00.000Z",
      "term_id": "550e8400-e29b-41d4-a716-446655440000",
      "fingerprint": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
    }
  ]
}
{
"errors": [
"The request is missing the required field `name`"
]
}
{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

user_id
string<uuid>
required

ID of the user to get authorisations for

status
enum<string>

Filter by authorisation status The status of a authorisation record

Available options:
active,
revoked,
expired
Example:

"active"

term_id
string<uuid>

Filter by authorisation term ID

offset
integer<int32>
default:0

The offset to start at

Required range: x >= 0
limit
integer<int32>
default:20

The number of items to return

Required range: 1 <= x <= 100

Response

OK

pagination
object
authorisations
object[]